devel/tl-expected - The NetBSD Packages Collection

C++11/14/17 std::expected with functional-style extensions

Single header implementation of std::expected with functional-style extensions.

std::expected is proposed as the preferred way to represent object which
will either have an expected value, or an unexpected value giving information
about why something failed. Unfortunately, chaining together many computations
which may fail can be verbose, as error-checking code will be mixed in with
the actual programming logic. This implementation provides a number of
utilities to make coding with expected cleaner.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftl-expected-1.0.0.tgz
NetBSD 8.0earmv7hftl-expected-1.0.0.tgz
NetBSD 8.0earmv7hftl-expected-1.0.0.tgz
NetBSD 8.0i386tl-expected-1.0.0.tgz
NetBSD 8.0i386tl-expected-1.0.0.tgz
NetBSD 8.0powerpctl-expected-1.0.0.tgz
NetBSD 8.0powerpctl-expected-1.0.0.tgz
NetBSD 8.0powerpctl-expected-1.0.0.tgz
NetBSD 8.0x86_64tl-expected-1.0.0.tgz
NetBSD 8.0x86_64tl-expected-1.0.0.tgz
NetBSD 9.0aarch64tl-expected-1.0.0.tgz
NetBSD 9.0aarch64tl-expected-1.0.0.tgz
NetBSD 9.0aarch64tl-expected-1.0.0.tgz
NetBSD 9.0alphatl-expected-1.0.0.tgz
NetBSD 9.0alphatl-expected-1.0.0.tgz
NetBSD 9.0alphatl-expected-1.0.0.tgz
NetBSD 9.0earmtl-expected-1.0.0.tgz
NetBSD 9.0earmv6hftl-expected-1.0.0.tgz
NetBSD 9.0earmv6hftl-expected-1.0.0.tgz
NetBSD 9.0earmv6hftl-expected-1.0.0.tgz
NetBSD 9.0earmv6hftl-expected-1.0.0.tgz
NetBSD 9.0earmv7hftl-expected-1.0.0.tgz
NetBSD 9.0earmv7hftl-expected-1.0.0.tgz
NetBSD 9.0earmv7hftl-expected-1.0.0.tgz
NetBSD 9.0earmv7hftl-expected-1.0.0.tgz
NetBSD 9.0i386tl-expected-1.0.0.tgz
NetBSD 9.0i386tl-expected-1.0.0.tgz
NetBSD 9.0mips64ebtl-expected-1.0.0.tgz
NetBSD 9.0mips64ebtl-expected-1.0.0.tgz
NetBSD 9.0mips64ebtl-expected-1.0.0.tgz
NetBSD 9.0powerpctl-expected-1.0.0.tgz
NetBSD 9.0powerpctl-expected-1.0.0.tgz
NetBSD 9.0sparc64tl-expected-1.0.0.tgz
NetBSD 9.0sparc64tl-expected-1.0.0.tgz
NetBSD 9.0sparc64tl-expected-1.0.0.tgz
NetBSD 9.0sparc64tl-expected-1.0.0.tgz
NetBSD 9.0sparctl-expected-1.0.0.tgz
NetBSD 9.0sparctl-expected-1.0.0.tgz
NetBSD 9.0sparctl-expected-1.0.0.tgz
NetBSD 9.0x86_64tl-expected-1.0.0.tgz
NetBSD 9.0x86_64tl-expected-1.0.0.tgz
NetBSD 9.0x86_64tl-expected-1.0.0.tgz
NetBSD 9.0x86_64tl-expected-1.0.0.tgz
NetBSD 9.0x86_64tl-expected-1.0.0.tgz
NetBSD 9.0x86_64tl-expected-1.0.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.